Summary: The configuration files for setting up a caching name server.
Name: caching-nameserver
Version: 7.3
Release: 3
License: Public Domain
Group:   System Environment/Daemons
Source0: ftp://ftp.networksolutions.com/domain/named.root
Source2: named.local
Source3: named.conf
Source4: Copyright.caching-nameserver
Source5: localhost.zone
Source6: localdomain.zone
Source7: named.ip6.local
Source8: named.broadcast
Source9: named.zero
Source10: rfc1912.txt
Requires: bind
Prereq: bind >= 9.1.3-0.rc2.3 textutils grep
Requires(post): bind textutils grep
BuildRoot: %{_tmppath}/caching-nameserver-root
BuildArch: noarch

%description
The caching-nameserver package includes the configuration files which
will make BIND, the DNS name server, act as a simple caching nameserver.
Many users on dialup connections use this package along with BIND for
such a purpose.

If you would like to set up a caching name server, you'll need to install
the caching-nameserver package; you'll also need to install bind.

%prep
%setup -c -T

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,var/named,va}
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/var/named/named.ca
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/named/named.local
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/var/named/localhost.zone
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/named.conf
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/var/named/localdomain.zone
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/var/named/named.ip6.local
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/var/named/named.broadcast
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/var/named/named.zero
install -m 644 %{SOURCE10} ./rfc1912.txt
install -m 644 %{SOURCE4} ./Copyright

%clean
rm -rf $RPM_BUILD_ROOT

%post
if  grep ^nameserver /etc/resolv.conf >/dev/null 2>&1 ; then
    :;
else
    echo "nameserver 127.0.0.1" >> /etc/resolv.conf;
fi;
if test -r /etc/sysconfig/named ; then
	. /etc/sysconfig/named
	if [ ! -z $ROOTDIR ]; then
	   for f in /etc/named.conf /var/named/{named.ca,named.local,named.ip6.local,named.broadcast,named.zero,localhost.zone,localdomain.zone}; 
	   do
	      if [ ! -L $f ]; then
		 if [ -f $ROOTDIR$f ]; then
	            mv $ROOTDIR$f $ROOTDIR$f.rpmsave;
		 fi;
	         /bin/mv $f $ROOTDIR$f
		 ln -s $ROOTDIR$f $f;
              fi;
	   done;
	fi;
fi;

%files
%defattr(-,root,root)
%config /etc/named.conf
%defattr(-,named,named)
%config /var/named/named.ca
%config /var/named/named.local
%config /var/named/localhost.zone
%config /var/named/localdomain.zone
%config /var/named/named.ip6.local
%config /var/named/named.broadcast
%config /var/named/named.zero
%defattr(-,root,root)
%doc Copyright
%doc rfc1912.txt

%changelog
* Wed Aug 25 2004 Jason Vas Dias  <jvdias@redhat.com>
- Updated for IPv6 support and RFC 1912 compliance (bug 84932)
- and better support for bind-chroot 
- (create links from non-chroot to chroot locations).
- change default locations of dumpdb & stats file to /var/named/data

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Dan Walsh <dwalsh@redhat.com> 7.2-11
- Updated with latest root servers.

* Wed Oct 22 2003 Dan Walsh <dwalsh@redhat.com>
- Fix typo on localhost.zone

* Sun Oct 19 2003 Dan Walsh <dwalsh@redhat.com>
- Fix post install processing

* Wed Oct 8 2003 Dan Walsh <dwalsh@redhat.com>
- Change to handle chroot environments.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Nov 11 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- update list of root servers

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jul  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 7.1-7
- Use /etc/rndc.key, Prereq bind >= 9.1.3-0.rc2.3 (second part of #46586)

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 7.1-6
- Add controls block to allow rndc to work out of the box (#27442)

* Thu May 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 7.1-5
- Rename rndc key (#42895)

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove extra ";" (#31382)

* Thu Mar  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't add key { } stuff if it's already there
  (e.g. update from beta to final)

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add key { } stuff to named.conf so rndc works out of the box

* Mon Feb 12 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- change to noreplace configs in /etc #21651

* Tue Aug  8 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- docu owned by root now

* Mon Aug  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add default TTL to shut up warning message
- add "localhost" zone

* Sun Aug  6 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- changing /var/named/* to root was silly - reverted

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change ownerships back to root:root. normally nobody should
  need to change these files and they never have to be updated
  by the named server himself.

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Apr 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- change ownerships to named.named

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- if there are no nameserver lines in /etc/resolv.conf, add one
- add a Copyright file

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuilt for the 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- install bind-8.1.2 named.conf

* Mon May 04 1998 Donnie Barnes <djb@redhat.com>
- upgraded from 1.1 to 5.1 to make caching-nameserver version the same
  as the version of Red Hat that it runs on.  
- updated named.root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- updated named.root to latest
- updated copyright

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
